package com.tanpu.feo.feojob.service;

import com.tanpu.feo.feojob.dao.user.entity.CurriculumRes;
import com.tanpu.feo.feojob.dao.user.entity.CurriculumResExample;
import com.tanpu.feo.feojob.dao.user.entity.UserCsFileRecord;
import com.tanpu.feo.feojob.dao.user.entity.UserCsFileRecordExample;
import com.tanpu.feo.feojob.dao.user.mapper.CurriculumResMapper;
import com.tanpu.feo.feojob.dao.user.mapper.UserCsFileRecordMapper;
import org.checkerframework.checker.units.qual.C;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CurriculumResService {

    @Resource
    private CurriculumResMapper curriculumResMapper;

    @Resource
    private UserCsFileRecordMapper userCsFileRecordMapper;

    public List<UserCsFileRecord> selectShortVideoForUndoneVodTask() {
        UserCsFileRecordExample example = new UserCsFileRecordExample();
        example.createCriteria().andFileTypeEqualTo("shortVideo").andExt2NotEqualTo("");
        example.setOrderByClause(" create_time desc limit 10");
        List<UserCsFileRecord> records = userCsFileRecordMapper.selectByExample(example);

        return records;
    }
}
